[tool.poetry]
name = "hotpocket-backend"
version = "25.11.06"
description = "HotPocket Backend"
authors = ["Tomek Wójcik <contact@bthlabs.pl>"]
license = "Apache-2.0"
readme = "README.md"

[[tool.poetry.source]]
name = "nexus"
url = "https://nexus.bthlabs.pl/repository/pypi/simple/"
priority = "supplemental"

[tool.poetry.dependencies]
python = "^3.12"
bthlabs-jsonrpc-django = "1.2.0"
celery = "5.5.3"
crispy-bootstrap5 = "2025.6"
django = "5.2.7"
django-cors-headers = "4.9.0"
django-crispy-forms = "2.4"
django-htmx = "1.26.0"
hotpocket-common = {path = "../packages/common", develop = true}
hotpocket-soa = {path = "../packages/soa", develop = true}
keep-it-secret = {version = "1.3.0", extras = ["aws", "vault"]}
psycopg = {version = "3.2.10", extras = ["binary"]}
pydantic = "2.12.2"
pyquery = "2.0.1"
requests = "2.32.5"
social-auth-app-django = "5.6.0"
social-auth-core = "4.8.1"
sqlalchemy = "2.0.44"
uuid6 = "2025.0.1"

[tool.poetry.group.dev.dependencies]
django-extensions = "4.1"
factory-boy = "3.3.3"
flake8 = "7.3.0"
flake8-commas = "4.0.0"
freezegun = "1.5.5"
hotpocket-backend-testing = {path = "testing", develop = true}
hotpocket-testing = {path = "../packages/testing", develop = true}
hotpocket-workspace-tools = {path = "../packages/workspace_tools", develop = true}
invoke = "2.2.1"
ipdb = "0.13.13"
ipython = "9.6.0"
isort = "7.0.0"
mypy = "1.18.2"
pytest = "8.4.2"
pytest-django = "4.11.1"
pytest-env = "1.2.0"
pytest-mock = "3.15.1"

[tool.poetry.group.deployment.dependencies]
gunicorn = {version = "23.0.0", extras = ["setproctitle"]}
gunicorn_worker_healthcheck = "1.0.0"
whitenoise = "6.11.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
